PreparedStatementTest.TestMultiThread (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class PreparedStatementTest.TestMultiThread

- java.lang.Object
- - java.lang.Thread
  - - net.sourceforge.jtds.jdbc.PreparedStatementTest.TestMultiThread

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    PreparedStatementTest

      static class PreparedStatementTest.TestMultiThread
      extends java.lang.Thread

  Inner class used by `PreparedStatementTest.testMultiThread()` to test concurrency.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static java.sql.Connection` | `con`
    `(package private) static java.lang.Exception` | `error`
    `(package private) static int` | `live`
    `(package private) static int` | `LOOP_MAX`
    `(package private) static int` | `ROWS_MAX`
    `(package private) static int` | `THREAD_MAX`
    `(package private) int` | `threadId`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreparedStatementTest.TestMultiThread(int n)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`
    `(package private) static void` | `startThreads(java.sql.Connection con)`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### con

          static java.sql.Connection con

    - #### THREAD_MAX

          static final int THREAD_MAX

      See Also:
        Constant Field Values

    - #### LOOP_MAX

          static final int LOOP_MAX

      See Also:
        Constant Field Values

    - #### ROWS_MAX

          static final int ROWS_MAX

      See Also:
        Constant Field Values

    - #### live

          static int live

    - #### error

          static java.lang.Exception error

    - #### threadId

          int threadId

  - ### Constructor Detail

    - #### PreparedStatementTest.TestMultiThread

          PreparedStatementTest.TestMultiThread(int n)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### startThreads

          static void startThreads(java.sql.Connection con)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Generated on June 8 2013